import { MActor } from '../types/models/index.js';
export declare function isJsonLDSignatureVerified(fromActor: MActor, signedDocument: any): Promise<boolean>;
export declare function isJsonLDRSA2017Verified(fromActor: MActor, signedDocument: any): Promise<boolean>;
export declare function signJsonLDObject<T>(options: {
    byActor: {
        url: string;
        privateKey: string;
    };
    data: T;
    disableWorkerThreadAssertion?: boolean;
}): Promise<T & {
    signature: {
        type: string;
        creator: string;
        created: string;
    };
}>;
//# sourceMappingURL=peertube-jsonld.d.ts.map