import * as Sequelize from 'sequelize';
import { VideoChannelCreate } from '../../../peertube-models';
import { VideoChannelModel } from '../models/video/video-channel.js';
import { MAccountId, MChannelId } from '../types/models/index.js';
declare function createLocalVideoChannel(videoChannelInfo: VideoChannelCreate, account: MAccountId, t: Sequelize.Transaction): Promise<VideoChannelModel>;
declare function federateAllVideosOfChannel(videoChannel: MChannelId): Promise<void>;
export { createLocalVideoChannel, federateAllVideosOfChannel };
//# sourceMappingURL=video-channel.d.ts.map