import { FfprobeData } from 'fluent-ffmpeg';
import { VideoFileMetadata } from '../../../peertube-models';
import { VideoFileModel } from '../models/video/video-file.js';
import { MVideoWithAllFiles } from '../types/models/index.js';
declare function buildNewFile(options: {
    path: string;
    mode: 'web-video' | 'hls';
    ffprobe?: FfprobeData;
}): Promise<VideoFileModel>;
declare function removeHLSPlaylist(video: MVideoWithAllFiles): Promise<void>;
declare function removeHLSFile(video: MVideoWithAllFiles, fileToDeleteId: number): Promise<import("../types/models/index.js").MStreamingPlaylistFilesVideo>;
declare function removeAllWebVideoFiles(video: MVideoWithAllFiles): Promise<MVideoWithAllFiles>;
declare function removeWebVideoFile(video: MVideoWithAllFiles, fileToDeleteId: number): Promise<MVideoWithAllFiles>;
declare function buildFileMetadata(path: string, existingProbe?: FfprobeData): Promise<VideoFileMetadata>;
declare function getVideoFileMimeType(extname: string, isAudio: boolean): string;
export { buildNewFile, removeHLSPlaylist, removeHLSFile, removeAllWebVideoFiles, removeWebVideoFile, buildFileMetadata, getVideoFileMimeType };
//# sourceMappingURL=video-file.d.ts.map