import { Model } from 'sequelize-typescript';
import { AttributesOnly } from '../../../../peertube-typescript-utils';
import { VideoCommentModel } from '../video/video-comment.js';
import { AbuseModel } from './abuse.js';
export declare class VideoCommentAbuseModel extends Model<Partial<AttributesOnly<VideoCommentAbuseModel>>> {
    createdAt: Date;
    updatedAt: Date;
    abuseId: number;
    Abuse: Awaited<AbuseModel>;
    videoCommentId: number;
    VideoComment: Awaited<VideoCommentModel>;
}
//# sourceMappingURL=video-comment-abuse.d.ts.map