import { Model } from 'sequelize-typescript';
import { CustomPage } from '../../../../peertube-models';
import { ActorModel } from '../actor/actor.js';
export declare class ActorCustomPageModel extends Model {
    content: string;
    type: 'homepage';
    createdAt: Date;
    updatedAt: Date;
    actorId: number;
    Actor: Awaited<ActorModel>;
    static updateInstanceHomepage(content: string): Promise<[ActorCustomPageModel, boolean]>;
    static loadInstanceHomepage(): Promise<ActorCustomPageModel>;
    toFormattedJSON(): CustomPage;
}
//# sourceMappingURL=actor-custom-page.d.ts.map