import { Request, Response, UploadFilesForCheck } from 'express';
import { VideoIncludeType } from '../../../../peertube-models';
declare function isVideoIncludeValid(include: VideoIncludeType): boolean;
declare function isVideoCategoryValid(value: any): boolean;
declare function isVideoStateValid(value: any): boolean;
declare function isVideoLicenceValid(value: any): boolean;
declare function isVideoLanguageValid(value: any): boolean;
declare function isVideoDurationValid(value: string): boolean;
declare function isVideoDescriptionValid(value: string): boolean;
declare function isVideoSupportValid(value: string): boolean;
declare function isVideoNameValid(value: string): boolean;
declare function isVideoTagValid(tag: string): boolean;
declare function areVideoTagsValid(tags: string[]): boolean;
declare function isVideoViewsValid(value: string): boolean;
declare function isVideoRatingTypeValid(value: string): boolean;
declare function isVideoFileExtnameValid(value: string): boolean;
declare function isVideoFileMimeTypeValid(files: UploadFilesForCheck, field?: string): boolean;
declare function isVideoImageValid(files: UploadFilesForCheck, field: string, optional?: boolean): boolean;
declare function isVideoPrivacyValid(value: number): boolean;
declare function isVideoReplayPrivacyValid(value: number): boolean;
declare function isScheduleVideoUpdatePrivacyValid(value: number): boolean;
declare function isVideoOriginallyPublishedAtValid(value: string | null): boolean;
declare function isVideoFileInfoHashValid(value: string | null | undefined): boolean;
declare function isVideoFileResolutionValid(value: string): boolean;
declare function isVideoFPSResolutionValid(value: string): boolean;
declare function isVideoFileSizeValid(value: string): boolean;
declare function isVideoMagnetUriValid(value: string): boolean;
declare function isPasswordValid(password: string): boolean;
declare function isValidPasswordProtectedPrivacy(req: Request, res: Response): boolean;
export { isVideoCategoryValid, isVideoLicenceValid, isVideoLanguageValid, isVideoDescriptionValid, isVideoFileInfoHashValid, isVideoNameValid, areVideoTagsValid, isVideoFPSResolutionValid, isScheduleVideoUpdatePrivacyValid, isVideoOriginallyPublishedAtValid, isVideoMagnetUriValid, isVideoStateValid, isVideoIncludeValid, isVideoViewsValid, isVideoRatingTypeValid, isVideoFileExtnameValid, isVideoFileMimeTypeValid, isVideoDurationValid, isVideoTagValid, isVideoPrivacyValid, isVideoReplayPrivacyValid, isVideoFileResolutionValid, isVideoFileSizeValid, isVideoImageValid, isVideoSupportValid, isPasswordValid, isValidPasswordProtectedPrivacy };
//# sourceMappingURL=videos.d.ts.map