import { Response } from 'express';
import { VideoPrivacyType, VideoStateType } from '../../../peertube-models';
import { MStreamingPlaylistVideo, MVideo } from '../types/models/index.js';
declare function getVideoWithAttributes(res: Response): import("../types/models/index.js").MVideoFormattableDetails | import("../types/models/index.js").MVideoThumbnail;
declare function extractVideo(videoOrPlaylist: MVideo | MStreamingPlaylistVideo): MVideo;
declare function isPrivacyForFederation(privacy: VideoPrivacyType): boolean;
declare function isStateForFederation(state: VideoStateType): boolean;
declare function getPrivaciesForFederation(): ({
    privacy: 1;
} | {
    privacy: 2;
})[];
declare function getExtFromMimetype(mimeTypes: {
    [id: string]: string | string[];
}, mimeType: string): string;
export { getVideoWithAttributes, extractVideo, getExtFromMimetype, isStateForFederation, isPrivacyForFederation, getPrivaciesForFederation };
//# sourceMappingURL=video.d.ts.map