import { Transaction } from 'sequelize';
import { MAccountDefault, MActor, MActorLight, MChannelDefault, MVideoAPLight, MVideoPlaylistFull, MVideoRedundancyVideo } from '../../../types/models/index.js';
declare function sendUpdateVideo(videoArg: MVideoAPLight, transaction: Transaction, overriddenByActor?: MActor): Promise<any>;
declare function sendUpdateActor(accountOrChannel: MChannelDefault | MAccountDefault, transaction: Transaction): Promise<any>;
declare function sendUpdateCacheFile(byActor: MActorLight, redundancyModel: MVideoRedundancyVideo): Promise<any>;
declare function sendUpdateVideoPlaylist(videoPlaylist: MVideoPlaylistFull, transaction: Transaction): Promise<any>;
export { sendUpdateActor, sendUpdateVideo, sendUpdateCacheFile, sendUpdateVideoPlaylist };
//# sourceMappingURL=send-update.d.ts.map