import { type VideoDetails } from '../../../../peertube-models';
import { AttributesOnly } from '../../../../peertube-typescript-utils';
import { Model } from 'sequelize-typescript';
import { VideoModel } from '../video/video.js';
import { AbuseModel } from './abuse.js';
export declare class VideoAbuseModel extends Model<Partial<AttributesOnly<VideoAbuseModel>>> {
    createdAt: Date;
    updatedAt: Date;
    startAt: number;
    endAt: number;
    deletedVideo: VideoDetails;
    abuseId: number;
    Abuse: Awaited<AbuseModel>;
    videoId: number;
    Video: Awaited<VideoModel>;
}
//# sourceMappingURL=video-abuse.d.ts.map