import { Model } from 'sequelize-typescript';
import { Transaction } from 'sequelize';
import { MTracker } from '../../types/models/server/tracker.js';
import { AttributesOnly } from '../../../../peertube-typescript-utils';
import { VideoModel } from '../video/video.js';
export declare class TrackerModel extends Model<Partial<AttributesOnly<TrackerModel>>> {
    url: string;
    createdAt: Date;
    updatedAt: Date;
    Videos: Awaited<VideoModel>[];
    static listUrlsByVideoId(videoId: number): Promise<string[]>;
    static findOrCreateTrackers(trackers: string[], transaction: Transaction): Promise<MTracker[]>;
}
//# sourceMappingURL=tracker.d.ts.map