import { Transaction } from 'sequelize';
import { Model } from 'sequelize-typescript';
import { MTag } from '../../types/models/index.js';
import { AttributesOnly } from '../../../../peertube-typescript-utils';
import { VideoModel } from './video.js';
export declare class TagModel extends Model<Partial<AttributesOnly<TagModel>>> {
    name: string;
    createdAt: Date;
    updatedAt: Date;
    Videos: Awaited<VideoModel>[];
    static findOrCreateTags(tags: string[], transaction: Transaction): Promise<MTag[]>;
    static getRandomSamples(threshold: number, count: number): Promise<string[]>;
}
//# sourceMappingURL=tag.d.ts.map