import { Transaction } from 'sequelize';
import { Model } from 'sequelize-typescript';
import { VideoSource } from '../../../../peertube-models';
import { AttributesOnly } from '../../../../peertube-typescript-utils';
import { VideoModel } from './video.js';
export declare class VideoSourceModel extends Model<Partial<AttributesOnly<VideoSourceModel>>> {
    createdAt: Date;
    updatedAt: Date;
    filename: string;
    videoId: number;
    Video: Awaited<VideoModel>;
    static loadLatest(videoId: number, transaction?: Transaction): Promise<VideoSourceModel>;
    toFormattedJSON(): VideoSource;
}
//# sourceMappingURL=video-source.d.ts.map